Package be.fgov.ehealth.ehbox.consultation.protocol.v3

# Class GetAllEhboxesMessagesListRequest

java.lang.Object
be.fgov.ehealth.ehbox.consultation.protocol.v3.GetAllEhboxesMessagesListRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class GetAllEhboxesMessagesListRequest extends Object implements Serializable

Java class for GetAllEhboxesMessagesListRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetAllEhboxesMessagesListRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Source">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="INBOX"/>
                   <enumeration value="SENTBOX"/>
                   <enumeration value="BININBOX"/>
                   <enumeration value="BINSENTBOX"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="StartIndex" minOccurs="0">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                   <minInclusive value="1"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="EndIndex" minOccurs="0">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                   <minInclusive value="1"/>
                 </restriction>
               </simpleType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetAllEhboxesMessagesListRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getEndIndex()`
  Index of the last message
  `String`
  `getSource()`
  The folder to consult
  `Integer`
  `getStartIndex()`
  Index of the first message
  `void`
  `setEndIndex(Integer value)`
  Sets the value of the endIndex property.
  `void`
  `setSource(String value)`
  Sets the value of the source property.
  `void`
  `setStartIndex(Integer value)`
  Sets the value of the startIndex property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetAllEhboxesMessagesListRequest

    public GetAllEhboxesMessagesListRequest()

- ## Method Details

  - ### getSource

    public String getSource()
    The folder to consult
    Returns:
      possible object is `String`

  - ### setSource

    public void setSource(String value)
    Sets the value of the source property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSource()`

  - ### getStartIndex

    public Integer getStartIndex()
    Index of the first message
    Returns:
      possible object is `Integer`

  - ### setStartIndex

    public void setStartIndex(Integer value)
    Sets the value of the startIndex property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getStartIndex()`

  - ### getEndIndex

    public Integer getEndIndex()
    Index of the last message
    Returns:
      possible object is `Integer`

  - ### setEndIndex

    public void setEndIndex(Integer value)
    Sets the value of the endIndex property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getEndIndex()`